Mail archive
alpine-aports

[alpine-aports] [PATCH 2/5 v2] testing/zathura: move from unmaintained, update

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Mon, 30 Jan 2017 15:17:02 +0100

---
* Replaced spaces with tabs
* Added ncurses to makedepends
* Started testing aports in docker-container with only alpine-sdk installed
Note: PATCH 3-5/5 seem ok, at least they don't have above problems.
 testing/zathura/APKBUILD                   | 32 ++++++++++++++++++
 unmaintained/zathura/APKBUILD              | 45 -------------------------
 unmaintained/zathura/without-synctex.patch | 53 ------------------------------
 3 files changed, 32 insertions(+), 98 deletions(-)
 create mode 100644 testing/zathura/APKBUILD
 delete mode 100644 unmaintained/zathura/APKBUILD
 delete mode 100644 unmaintained/zathura/without-synctex.patch
diff --git a/testing/zathura/APKBUILD b/testing/zathura/APKBUILD
new file mode 100644
index 0000000000..24008744f9
--- /dev/null
+++ b/testing/zathura/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=zathura
+pkgver=0.3.6
+pkgrel=0
+pkgdesc="zathura - highly customizable and functional document viewer"
+url="https://pwmt.org/projects/zathura/"
+arch="all"
+license="zlib"
+depends="libmagic"
+makedepends="girara-dev file-dev sqlite-dev intltool check-dev py-docutils
+	ncurses"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="https://pwmt.org/projects/zathura/download/zathura-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" || return 1
+	make -C "$_builddir/doc" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="b92bc15f684cdf5a82b6fdddd1275ea5  zathura-0.3.6.tar.gz"
+sha256sums="086a8be25d538fc6539fbee8f01ecf16d25819dfaad50cd2dbd84e30152ccb3b  zathura-0.3.6.tar.gz"
+sha512sums="6eb8a8ac4589aa03ddfbe652c7700b354c0156a615493c3efdd730c4c5d72e295ad666f406541b664c17eae65c4079697fd4c4d0b9b1f04b8743a7518b123723  zathura-0.3.6.tar.gz"
diff --git a/unmaintained/zathura/APKBUILD b/unmaintained/zathura/APKBUILD
deleted file mode 100644
index 33733e72d2..0000000000
--- a/unmaintained/zathura/APKBUILD
+++ /dev/null
_at_@ -1,45 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
-# Contributor: Andrew Hills <ahills_at_ednos.net>
-# Maintainer: Andrew Hills <ahills_at_ednos.net>
-pkgname=zathura
-pkgver=0.3.4
-pkgrel=0
-pkgdesc="Document viewer with Vim-like controls"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="girara-dev gtk+3.0-dev glib-dev file-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz
-	without-synctex.patch"
-
-_builddir="$srcdir"/zathura-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="64a19c0a78d06e3a8c2098911d59b072  zathura-0.3.4.tar.gz
-cf64a40358d705cee2d8174498d56e9f  without-synctex.patch"
-sha256sums="52c4a3efc5843ce7c720ea7357667699363c809fd34ada4cb350d0e1031d0234  zathura-0.3.4.tar.gz
-e6cb2e825c584a82283a580fdd77428e91321f46d929eff42979e858eb9eac81  without-synctex.patch"
-sha512sums="663a24574838fe6531bf588ec97ed54f3bf3601c6ed11bbcd38347e8fa1876c4cfa964ab7bba70f8afd40dd9d984315b0966546394c0efac00c6fbd9967b77a2  zathura-0.3.4.tar.gz
-e750c8b2d7de3fdfe8275fe3c625bce6d3d9c12a956d0ea56a0af6848ecdd8cd903ba363fcff829024adc493b8c4f4b271f9f1d6dee52a3b14405df9b42b0ee0  without-synctex.patch"
diff --git a/unmaintained/zathura/without-synctex.patch b/unmaintained/zathura/without-synctex.patch
deleted file mode 100644
index b12ca3117e..0000000000
--- a/unmaintained/zathura/without-synctex.patch
+++ /dev/null
_at_@ -1,53 +0,0 @@
-From 5b3c183a9f8edf778f405f5da9b1ef8384775852 Mon Sep 17 00:00:00 2001
-From: Jan Palus <jan.palus_at_gmail.com>
-Date: Mon, 28 Dec 2015 22:19:07 +0100
-Subject: [PATCH] fix build without synctex
-
----
- zathura/main.c | 19 ++++++++++++-------
- 1 file changed, 12 insertions(+), 7 deletions(-)
-
-diff --git a/zathura/main.c b/zathura/main.c
-index 060382a..3278dbe 100644
---- zathura/main.c
-+++ zathura/main.c
-_at_@ -84,12 +84,14 @@ run_synctex_forward(const char* synctex_fwd, const char* filename,
- 
- static zathura_t*
- init_zathura(const char* config_dir, const char* data_dir,
--    const char* cache_dir, const char* plugin_path, char** argv,
-+    const char* cache_dir, const char* plugin_path, char** argv
-+#ifdef WITH_SYNCTEX
-+    , char* synctex_editor
-+#endif
- #ifdef GDK_WINDOWING_X11
--    char* synctex_editor, Window embed)
--#else
--    char* synctex_editor)
-+    , Window embed
- #endif
-+    )
- {
-   /* create zathura session */
-   zathura_t* zathura = zathura_create();
-_at_@ -250,11 +252,14 @@ main(int argc, char* argv[])
- 
-   /* Create zathura session */
-   zathura_t* zathura = init_zathura(config_dir, data_dir, cache_dir,
-+      plugin_path, argv
-+#ifdef WITH_SYNCTEX
-+      , synctex_editor
-+#endif
- #ifdef GDK_WINDOWING_X11
--      plugin_path, argv, synctex_editor, embed);
--#else
--      plugin_path, argv, synctex_editor);
-+      , embed
- #endif
-+      );
-   if (zathura == NULL) {
-     girara_error("Could not initialize zathura.");
-     return -1;
---
-libgit2 0.23.3
-
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jan 30 2017 - 15:17:02 GMT